## ros-eloquent-depthimage-to-laserscan 2.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(depthimage_to_laserscan)
include(GenerateExportHeader)

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(image_geometry REQUIRED)
find_package(OpenCV REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)

include_directories(include)

add_library(DepthImageToLaserScan
  src/DepthImageToLaserScan.cpp
)
ament_target_dependencies(DepthImageToLaserScan
  "image_geometry"
  "OpenCV"
  "sensor_msgs"
)
generate_export_header(DepthImageToLaserScan EXPORT_FILE_NAME ${PROJECT_NAME}/DepthImageToLaserScan_export.h)
target_include_directories(DepthImageToLaserScan PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

add_library(DepthImageToLaserScanROS SHARED
  src/DepthImageToLaserScanROS.cpp
)
ament_target_dependencies(DepthImageToLaserScanROS
  "rclcpp"
  "rclcpp_components"
)
target_link_libraries(DepthImageToLaserScanROS DepthImageToLaserScan)
generate_export_header(DepthImageToLaserScanROS EXPORT_FILE_NAME ${PROJECT_NAME}/DepthImageToLaserScanROS_export.h)
target_include_directories(DepthImageToLaserScanROS PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

rclcpp_components_register_nodes(DepthImageToLaserScanROS
  "depthimage_to_laserscan::DepthImageToLaserScanROS")

add_executable(depthimage_to_laserscan_node
  src/depthimage_to_laserscan.cpp
)
target_link_libraries(depthimage_to_laserscan_node
  DepthImageToLaserScan
  DepthImageToLaserScanROS
)

install(DIRECTORY include/
  DESTINATION include
)

install(DIRECTORY
  launch
  cfg
  DESTINATION share/${PROJECT_NAME}/
)

install(TARGETS DepthImageToLaserScan DepthImageToLaserScanROS
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(TARGETS depthimage_to_laserscan_node
  DESTINATION lib/${PROJECT_NAME}
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/DepthImageToLaserScan_export.h
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/DepthImageToLaserScanROS_export.h
  DESTINATION include/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(${PROJECT_NAME}-test test/DepthImageToLaserScanTest.cpp)
  target_link_libraries(${PROJECT_NAME}-test DepthImageToLaserScan)
endif()

ament_export_include_directories(include)
ament_export_libraries(DepthImageToLaserScan DepthImageToLaserScanROS)
ament_package()

=== debian/changelog ===
ros-eloquent-depthimage-to-laserscan (2.2.5-1bionic) bionic; urgency=high

  * Update the README.md to describe the topics and parameters.
  * Add in a launch file for composable node.
  * Rename launch file to conform to recommendations.
  * Remove unnecessary Depth.cfg.
  * Make depthimage_to_laserscan composable.
  * Rename header files to .hpp
  * Style cleanup.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (2.2.4-1bionic) bionic; urgency=high

  * Export interfaces for Win32 Shared Lib (#44 <https://github.com/ros-perception/depthimage_to_laserscan/issues/44>)
  * Contributors: Sean Yen

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (2.2.2-1bionic) bionic; urgency=high

  * update code to be consist with new ros2 core (#42 <https://github.com/ros-perception/depthimage_to_laserscan/issues/42>)
  * Contributors: Gary Liu

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (2.2.1-1bionic) bionic; urgency=high

  * Port depthimage_to_laserscan to ROS2.
  * Import ROS2 changes from https://github.com/ros2/depthimage_to_laserscan.git to upstream
  * Contributors: Chad Rockey, Chris Lalancette, Mikael Arguedas, Shane Loretz, dhood

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 29 Mar 2019 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.8-1bionic) bionic; urgency=high

  * Merge pull request #27 <https://github.com/ros-perception/depthimage_to_laserscan/issues/27> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Contributors: Chad Rockey, Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 Feb 2019 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.7-1bionic) bionic; urgency=high

  * Merge pull request #11 <https://github.com/ros-perception/depthimage_to_laserscan/issues/11> from ros-perception/hydro-devel
    Update indigo devel with angle fix
  * Merge pull request #8 <https://github.com/ros-perception/depthimage_to_laserscan/issues/8> from vliedel/hydro-devel
    fixed angle_increment
  * fixed angle_increment
  * Merge pull request #7 <https://github.com/ros-perception/depthimage_to_laserscan/issues/7> from bulwahn/hydro-devel
    check for CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING
  * Added ARCHIVE DESTINATION
  * Contributors: Chad Rockey, Lukas Bulwahn, vliedel

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 16 Jun 2014 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.6-1bionic) bionic; urgency=high

  * Removed y component from projected beam radius.

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Oct 2013 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.5-1bionic) bionic; urgency=high

  * No more Willow Garage email.
  * Merge pull request #4 <https://github.com/ros-perception/depthimage_to_laserscan/issues/4> from ericperko/groovy-devel
    Cleaned up CMakeLists a bit
  * Cleaned up CMakeLists a bit

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.4-1bionic) bionic; urgency=high

  * Update version to 1.0.4
  * Merge pull request #3 <https://github.com/ros-perception/depthimage_to_laserscan/issues/3> from ahendrix/fix_testdeps
    Fix testdeps
  * Removed redundant test-depends.
  * Remove old makefile.

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Jan 2013 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.3-1bionic) bionic; urgency=high

  * fix exported libraries (fix #2 <https://github.com/ros-perception/depthimage_to_laserscan/issues/2>)

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 23 Dec 2012 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.2-1bionic) bionic; urgency=high

  * fix dyn reconf
  * Updated description.
  * Updated readme to link to wiki.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 19 Dec 2012 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.1-1bionic) bionic; urgency=high

  * Update package.xml
    New release for missing catkin build_depend.
  * Merge pull request #1 <https://github.com/ros-perception/depthimage_to_laserscan/issues/1> from ablasdel/groovy-devel
    updated catkin buildtool_depend
  * updated catkin buildtool_depend

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Dec 2012 00:00:00 -0000

ros-eloquent-depthimage-to-laserscan (1.0.0-1bionic) bionic; urgency=high

  * Cleanup of the CMakeLists.txt
  * First attempt at Catkinizing.
  * Pushing fuerte-devel to github.
  * Initial commit

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 05 Dec 2012 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-depthimage-to-laserscan
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-image-geometry, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Homepage: http://ros.org/wiki/depthimage_to_laserscan
Standards-Version: 3.9.2

Package: ros-eloquent-depthimage-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-eloquent-image-geometry, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: depthimage_to_laserscan

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-depthimage-to-laserscan//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
